# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class PlaylistLinkEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<T>
                  com.google.gdata.data.youtube.FeedLinkEntry<PlaylistLinkEntry>
                      com.google.gdata.data.youtube.PlaylistLinkEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class PlaylistLinkEntry

extends FeedLinkEntry<PlaylistLinkEntry>

Entries that appear on the user playlist feed. This entry does not contain a playlist, but a link to a playlist. See `PlaylistFeed` and `PlaylistEntry` for the playlist feed objects.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static java.lang.String[]` `CATEGORIES` Nonstandard categories that might be found in this entry.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`PlaylistLinkEntry()`
`PlaylistLinkEntry(BaseEntry<?> base)`

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`java.lang.String` `getPlaylistId()` Get the id of the playlist.
`boolean` `isPrivate()` Gets the value of the private flag.
`void` `setPlaylistId(java.lang.String playlistId)` Set the id of the playlist.
`void` `setPrivate(boolean value)` Sets the private flag.

Methods inherited from class com.google.gdata.data.youtube.FeedLinkEntry
`getCountHint, getDescription, getFeedLink, getFeedUrl, getThumbnail, setCountHint, setDescription, setFeedLink, setThumbnail`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CATEGORIES

    public static final java.lang.String[] CATEGORIES

  Nonstandard categories that might be found in this entry.

Constructor Detail

### PlaylistLinkEntry

    public PlaylistLinkEntry()

### PlaylistLinkEntry

    public PlaylistLinkEntry(BaseEntry<?> base)

Method Detail

### setPrivate

    public void setPrivate(boolean value)

  Sets the private flag.

### isPrivate

    public boolean isPrivate()

  Gets the value of the private flag.

### getPlaylistId

    public java.lang.String getPlaylistId()

  Get the id of the playlist.

  Returns:
    the playlist id

### setPlaylistId

    public void setPlaylistId(java.lang.String playlistId)

  Set the id of the playlist.

  Parameters:
    `playlistId` - the id of the playlist

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `FeedLinkEntry<PlaylistLinkEntry>`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`